Member Function
Score
Constructor
Score<TValue, Simple>()
Score<TValue, Simple>(score)
Score<TValue, Simple>(match, mismatch, gap [, gap_open])
Parameters

score | Other Score object. (copy constructor)
match | TValue object. Default: 0
mismatch | TValue object. Default: -1
gap | TValue object. Default: -1 Remarks: The score for a single blank in a gap (linear gap costs).
gap_open | TValue object. Default: gap Remarks: The score for the first blank in a gap (affine gap costs).

Remarks
If both gap and gap_open are specified, the total score of a length n gap is gap_open (n-1)*gap.
Note: Usually mismatch, gap, and gap_open are negative values.
Member of
Score
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49